Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Class JoinSet

    java.lang.Object
      org.apache.openjpa.jdbc.sql.JoinSet

     class JoinSet

extends Object

Set type that recognizes that inner joins should take precedence over otherwise equal outer joins.

Author:
  Abe White

Constructor Summary
`JoinSet()`
`JoinSet(JoinSet copy)`

Method Summary
`boolean` | `add(Join join)`
`boolean` | `addAll(JoinSet js)`
`void` | `clear()`
`boolean` | `contains(Join join)`
`boolean` | `containsAll(JoinSet js)`
`boolean` | `equals(Object other)`
`Join` | `getRecordedJoin(Join join)` Return the recorded join matching the given join's aliases.
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`Iterator` | `joinIterator()` Iterator over joins that prepares them for SQL translation.
`Join` | `last()` Return the logical last join.
`boolean` | `remove(Join join)`
`boolean` | `removeAll(JoinSet js)`
`boolean` | `retainAll(JoinSet js)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JoinSet

    public JoinSet()

### JoinSet

    public JoinSet(JoinSet copy)

Method Detail

### getRecordedJoin

    public Join getRecordedJoin(Join join)

  Return the recorded join matching the given join's aliases.

### last

    public Join last()

  Return the logical last join.

### joinIterator

    public Iterator joinIterator()

  Iterator over joins that prepares them for SQL translation.

### add

    public boolean add(Join join)

### addAll

    public boolean addAll(JoinSet js)

### iterator

    public Iterator iterator()

### remove

    public boolean remove(Join join)

### removeAll

    public boolean removeAll(JoinSet js)

### retainAll

    public boolean retainAll(JoinSet js)

### clear

    public void clear()

### contains

    public boolean contains(Join join)

### containsAll

    public boolean containsAll(JoinSet js)

### isEmpty

    public boolean isEmpty()

### size

    public int size()

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.